Satellite session sync
GET
/_torii/auth/session/sync
const url = 'https://your-app.toriiauth.eu/_torii/auth/session/sync?redirect=example&establish=example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://your-app.toriiauth.eu/_torii/auth/session/sync?redirect=example&establish=example'Reached from the satellite’s /sync/start. binding is the hash of the satellite’s browser-binding cookie; a sync without it is legacy and refused once enforcement is on.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”redirect
required
string
establish
required
string
binding
string
Header Parameters
Section titled “Header Parameters”Host
string
Responses
Section titled “Responses”Redirect to satellite establish (with ticket) or back (with __torii_synced)
Media type*/*
object
Malformed binding or URL, unknown satellite, or redirect not allowed
Media typeapplication/problem+json
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
properties
object
key
additional properties
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "https://example.com", "properties": { "additionalProperty": "example" }}